Skip to content

Get element by id

GET
/openapi/customer/{id}
curl --request GET \
--url https://open-api.replyco.com/openapi/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

Media typeapplication/json

IntegrationId and ShopType are required.

object
id
string format: uuid
firstName
string
nullable
lastName
string
nullable
marketCustomerId
string
nullable
email
string
nullable
phone
string
nullable
integrationId
required
string format: uuid
marketplace
required
integer format: int32
Allowed values: 0 - PlaceholderDoNotUse 1 - Ebay 2 - Etsy 3 - Mail 4 - BigCommerce 5 - WooCommerce 6 - Magento 7 - Shopify 8 - Linnworks 10 - Gmail 11 - Telegram 12 - Widget 13 - Cdiscount 14 - Facebook 15 - Fruugo 16 - AmazonSP 17 - Instagram 18 - Wish 19 - ChannelAdvisor 20 - CustomIntegration 21 - Outlook 22 - Veeqo 23 - Aircall 24 - Katana 25 - Billbee 26 - Kaufland 27 - WhatsApp 28 - ShopLine 29 - Brightpearl 30 - TikTok 31 - Otto 32 - RestApiEbay
customerAddress
object
id
string format: uuid
addressLine1
string
nullable
addressLine2
string
nullable
addressLine3
string
nullable
city
string
nullable
country
string
nullable
postalCode
string
nullable
state

State or region

string
nullable
phone
string
nullable
notes

Related Notes to Customer

Array<object>
nullable
object
id
string format: uuid
note
required
string
>= 1 characters
username
string
nullable

Example

{
"marketplace": "0 - PlaceholderDoNotUse"
}

Unauthorized